Page MenuHomePhabricator

Interface errors on asw-c-eqiad:xe-8/0/38
Closed, ResolvedPublic

Description

asw-c-eqiad# run show interfaces xe-8/0/38 extensive | match error    
  Input errors:
    Errors: 124814, Drops: 0, Framing errors: 124814, Runts: 0, Policed discards: 0,
    CRC/Align errors                    124814                0

And incrementing.
Please replace the optic on asw-c-eqiad:xe-8/0/38.
Safe to do anytime as it's part of a 4 interfaces LACP bundle.

After swapping the optic, please run:

asw-c-eqiad> clear interfaces statistics xe-8/0/38

And wait ~30min to see if the counter stopped increasing.

Event Timeline

ayounsi created this task.May 11 2017, 5:47 AM
Restricted Application added a project: Operations. · View Herald TranscriptMay 11 2017, 5:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Cmjohnson edited projects, added ops-eqiad; removed DC-Ops.May 15 2017, 5:26 PM
Cmjohnson moved this task from Backlog to Up next on the ops-eqiad board.

Mentioned in SAL (#wikimedia-operations) [2017-05-16T17:23:24Z] <cmjohnson1> swapping optics asw-c-eqiad xe-8/0/38 T165008

@ayounsi It appears that the optics swap on asw-c did not help...should I replace on cr2?

cmjohnson@asw-c-eqiad> show interfaces xe-8/0/38 extensive | match error

BPDU Error: None, MAC-REWRITE Error: None, Loopback: Disabled,
Input errors:
  Errors: 58, Drops: 0, Framing errors: 58, Runts: 0, Policed discards: 0,
  L3 incompletes: 0, L2 channel errors: 0, L2 mismatch timeouts: 0,
  FIFO errors: 0, Resource errors: 0
Output errors:
  Carrier transitions: 0, Errors: 0, Drops: 0, Collisions: 0, Aged packets: 0,
  FIFO errors: 0, HS link CRC errors: 0, MTU errors: 0, Resource errors: 0
  CRC/Align errors                        58                0
  FIFO errors                              0                0

@Cmjohnson Yes please, and you can put the previous optic back on asw-c-eqiad.
If that still doesn't solve the issue, the cable will need to be swapped.

Mentioned in SAL (#wikimedia-operations) [2017-05-17T13:47:08Z] <cmjohnson1> replacing optics on cr1-3/1/2 and/or asw-c-eqiad:xe-8/0/38 T165008

@ayounsi Changing the optics on cr1 appears to have worked..no new errors. Please review and resolve if you're satisfied.

cmjohnson@asw-c-eqiad> show interfaces xe-8/0/38 extensive | match error

Link-level type: Ethernet, MTU: 9192, Speed: 10Gbps, Duplex: Full-Duplex, BPDU Error: None,
MAC-REWRITE Error: None, Loopback: Disabled, Source filtering: Disabled,
Input errors:
  Errors: 0, Drops: 0, Framing errors: 0, Runts: 0, Policed discards: 0, L3 incompletes: 0,
  L2 channel errors: 0, L2 mismatch timeouts: 0, FIFO errors: 0, Resource errors: 0
Output errors:
  Carrier transitions: 0, Errors: 0, Drops: 0, Collisions: 0, Aged packets: 0, FIFO errors: 0,
  HS link CRC errors: 0, MTU errors: 0, Resource errors: 0
  CRC/Align errors                         0                0
  FIFO errors                              0                0
ayounsi closed this task as Resolved.May 17 2017, 2:50 PM

Great! Thanks!